
ChiliProject - Bug # 870: Exception looking at Issues

Status: Declined Priority: High
Author: E M Category: Issue tracking
Created: 2012-02-07 Assignee:
Updated: 2012-02-07 Due date:
Remote issue URL:
Affected version:
Description: Using git origin/stable of today ( 11e93ff36a126bd0f7ce3022bc9aa8777628237c )

<pre>
Processing IssuesController#index (for 77.2.144.144 at 2012-02-07 11:26:35) [GET]
  Parameters: {"project_id"=>"thisproject", "action"=>"index", "controller"=>"issues"}

NoMethodError (undefined method `display_subprojects' for #<Query:0xb4cf9194>):
  app/models/query.rb:86:in `initialize'
  app/helpers/queries_helper.rb:76:in `new'
  app/helpers/queries_helper.rb:76:in `retrieve_query'
  app/controllers/issues_controller.rb:52:in `index'
  passenger (3.0.9) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'
  passenger (3.0.9) lib/phusion_passenger/abstract_request_handler.rb:513:in 
`accept_and_process_next_request'
  passenger (3.0.9) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'
  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in 
`start_request_handler'
  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'
  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in 
`handle_spawn_application'
  passenger (3.0.9) lib/phusion_passenger/utils.rb:479:in `safe_fork'
  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in 
`handle_spawn_application'
  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `__send__'
  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:180:in `start'
  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'
  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'
  passenger (3.0.9) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'
  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'
  passenger (3.0.9) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'
  passenger (3.0.9) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'
  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'
  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'
  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'
  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `__send__'
  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
  passenger (3.0.9) helper-scripts/passenger-spawn-server:99

Rendering /var/www/chiliproject/public/500.html (500 Internal Server Error)
</pre>

Installed plugins:
redmin_git_hosting.

Informations
 - that project is part of a parent project and does not have any subproject, so its path: 
chil.tld/project/parentproject/thisproject

That looks pretty critical, i guess. Is the targe 3.1 or rather 3.0.1?

Associated revisions
2008-03-21 06:39 pm - Jean-Philippe Lang 
Wiki links:
* fixes wiki links with pipe in table (closes #893, #870, #894)
* prevent wiki link matching on multiple lines

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1280 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-02-07 10:45 am - E M
- Status changed from Open to Declined

once again, iam an ***** :) 

Somehow, bundle exec rake db:migrate RAILS_ENV=production got not exectuted, most probably..yes...it was me not running it. Actually, pretty sorry. 
Thanks for helping out here meineerde
